# Sample Code for Testing In PHP: When To Apply Which Tools

This is the sample source code for the article published in php|architect, January 2013 edition. You will find PHPUnit unit tests, PHPSpec2 specs, and Behat features in tests, specs, and features, respectively.

## Install

Installation involves downloading composer. If you do not already have the composer.phar on your system (for example, in your path for a "global" composer installation) you will need to download a copy. Installation instructions for both *nix and Windows environments can be found at [getcomposer.org](http://getcomposer.org).

After you have a copy of composer available, you can install the dependencies required to run the tests using composer.

    php composer.phar install --dev

## Running the tests

To run the tests you will use the binaries installed via composer.

    # run the unit tests
    bin/phpunit

    # run the spec tests
    bin/phpspec run

    # run the features
    bin/behat

