<?php
namespace spec\MyProject;

use PHPSpec2\ObjectBehavior;

class FizzBuzz extends ObjectBehavior
{
    function it_should_be_initializable()
    {
        $this->shouldHaveType('MyProject\FizzBuzz');
    }

    function it_should_return_integer()
    {
        $ints = array(1, 11, 23, 97);

        foreach ($ints as $int) {
            $this->of($int)->shouldReturn($int);
        }
    }

    function it_should_return_fizz_for_multiples_of_three()
    {
        $ints = array(3, 12, 21, 99);

        foreach ($ints as $int) {
            $this->of($int)->shouldReturn('Fizz');
        }
    }

    function it_should_return_buzz_for_multiples_of_five()
    {
        $ints = array(5, 10, 35, 95);

        foreach ($ints as $int) {
            $this->of($int)->shouldReturn('Buzz');
        }
    }

    function it_should_return_fizzbuzz_for_multiples_of_both()
    {
        $ints = array(15, 30, 90);

        foreach ($ints as $int) {
            $this->of($int)->shouldReturn('FizzBuzz');
        }
    }
}
